﻿$version        = '1.5.1'
$packageName    = 'kubernetes-cli'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"

$baseUrl    = "https://storage.googleapis.com/kubernetes-release/release/v$version"
$url        = "$baseUrl/kubernetes-client-windows-386.tar.gz"
$url64      = "$baseUrl/kubernetes-client-windows-amd64.tar.gz"
$checksum   = '95420d0d49e2875703ac09a1b6021252644ba162349c6c506b06f2677852de5d'
$checksum64 = '534a3c5bdde989c7339df05c4e7793c6c50e5ebc0a663b1a9cdd25bce43a5a74'


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -Url "$url" -Url64 "$url64" -UnzipLocation "$tempDir" -ChecksumType 'sha256' -Checksum "$checksum" -Checksum64 "$checksum64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
